from axelrod.action import Action
from axelrod.player import Player
IlIlIIlIIIlIIlIIIlI, IlIlllIIIlIIIIIIl = Action.C, Action.D
class lIlIllIllllIlIl(Player):
    llIIIIIlllI = "strategy"
    lIIIIIlll = {
        "memory_depth": float("inf"),
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    @staticmethod
    def IIIllllIIIII(lllIlllIlIIlIl: Player) -> Action:
        if lllIlllIlIIlIl.defections:
            return IlIlllIIIlIIIIIIl
        return IlIlIIlIIIlIIlIIIlI